> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update project



## OpenAPI

````yaml api-reference/openapi.v1.json PATCH /projects/{id}
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /projects/{id}:
    patch:
      tags:
        - projects
      summary: Update project
      operationId: updateProject
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectInput'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
components:
  schemas:
    UpdateProjectInput:
      additionalProperties: false
      properties:
        default_agent_profile_id:
          format: uuid
          type:
            - string
            - 'null'
        description:
          maxLength: 500
          type: string
        mobile_testing_mode:
          enum:
            - 'off'
            - tasks
            - tasks_and_reviews
          type: string
        name:
          maxLength: 100
          minLength: 1
          pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{0,99}$
          type: string
        pr_review_aether_prs_auto_trigger:
          enum:
            - disabled
            - on_pr_created
            - on_every_push
          type: string
        pr_review_aether_prs_mode:
          enum:
            - review_only
            - fix_on_request
            - apply_fixes
          type: string
        pr_review_agent_profile_id:
          format: uuid
          type:
            - string
            - 'null'
        pr_review_comment_trigger_enabled:
          type: boolean
        pr_review_other_prs_auto_trigger:
          enum:
            - disabled
            - on_pr_created
            - on_every_push
          type: string
        pr_review_other_prs_mode:
          enum:
            - review_only
            - fix_on_request
            - apply_fixes
          type: string
        pr_review_post_demo_video:
          type: boolean
        pr_review_post_screenshots:
          type: boolean
        pr_review_prompt:
          minLength: 1
          type: string
        pr_review_respond_to_comments_enabled:
          type: boolean
        task_defaults:
          additionalProperties: false
          properties:
            agent_type:
              enum:
                - codex
                - claude-code
                - opencode
                - cursor
              type: string
            auto_fix_ci:
              type: boolean
            auto_fix_ci_instructions:
              minLength: 1
              type:
                - string
                - 'null'
            auto_fix_pr_comments:
              type: boolean
            auto_fix_pr_comments_instructions:
              minLength: 1
              type:
                - string
                - 'null'
            auto_rebase:
              type: boolean
            auto_rebase_instructions:
              minLength: 1
              type:
                - string
                - 'null'
            default_vm_size:
              enum:
                - small
                - medium
                - large
              type:
                - string
                - 'null'
            interaction_mode:
              enum:
                - default
                - plan
              type: string
            model:
              minLength: 1
              type: string
            post_pr_demo_video:
              type: boolean
            post_pr_screenshots:
              type: boolean
            reasoning_effort:
              enum:
                - ultra
                - max
                - xhigh
                - high
                - medium
                - low
                - ultrathink
                - ultracode
                - none
              type:
                - string
                - 'null'
          required:
            - agent_type
            - model
            - interaction_mode
            - auto_fix_ci
            - auto_fix_pr_comments
            - auto_rebase
          type: object
      type: object
    Project:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          type: string
        default_agent_profile:
          $ref: '#/components/schemas/AgentProfileSummary'
        default_branch:
          minLength: 1
          type: string
        description:
          maxLength: 500
          type: string
        id:
          format: uuid
          type: string
        installation_id:
          format: int64
          type:
            - integer
            - 'null'
        mobile_testing_mode:
          enum:
            - 'off'
            - tasks
            - tasks_and_reviews
          type: string
        name:
          maxLength: 100
          minLength: 1
          pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{0,99}$
          type: string
        pr_review_aether_prs_auto_trigger:
          enum:
            - disabled
            - on_pr_created
            - on_every_push
          type: string
        pr_review_aether_prs_mode:
          enum:
            - review_only
            - fix_on_request
            - apply_fixes
          type: string
        pr_review_agent_profile_id:
          format: uuid
          type:
            - string
            - 'null'
        pr_review_comment_trigger_enabled:
          type: boolean
        pr_review_other_prs_auto_trigger:
          enum:
            - disabled
            - on_pr_created
            - on_every_push
          type: string
        pr_review_other_prs_mode:
          enum:
            - review_only
            - fix_on_request
            - apply_fixes
          type: string
        pr_review_post_demo_video:
          type: boolean
        pr_review_post_screenshots:
          type: boolean
        pr_review_prompt:
          minLength: 1
          type: string
        pr_review_respond_to_comments_enabled:
          type: boolean
        repo_url:
          type: string
        task_defaults:
          $ref: '#/components/schemas/ProjectTaskDefaults'
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - pr_review_prompt
        - pr_review_aether_prs_auto_trigger
        - pr_review_other_prs_auto_trigger
        - pr_review_comment_trigger_enabled
        - pr_review_respond_to_comments_enabled
        - pr_review_post_screenshots
        - pr_review_post_demo_video
        - pr_review_aether_prs_mode
        - pr_review_other_prs_mode
        - mobile_testing_mode
        - task_defaults
        - created_at
        - updated_at
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    AgentProfileSummary:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        id:
          format: uuid
          type: string
        model:
          minLength: 1
          type: string
        name:
          maxLength: 100
          minLength: 1
          type: string
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - agent_type
        - model
      type: object
    ProjectTaskDefaults:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        auto_fix_ci:
          type: boolean
        auto_fix_ci_instructions:
          minLength: 1
          type:
            - string
            - 'null'
        auto_fix_pr_comments:
          type: boolean
        auto_fix_pr_comments_instructions:
          minLength: 1
          type:
            - string
            - 'null'
        auto_rebase:
          type: boolean
        auto_rebase_instructions:
          minLength: 1
          type:
            - string
            - 'null'
        default_vm_size:
          enum:
            - small
            - medium
            - large
          type:
            - string
            - 'null'
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        model:
          minLength: 1
          type: string
        post_pr_demo_video:
          type: boolean
        post_pr_screenshots:
          type: boolean
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
      required:
        - agent_type
        - model
        - interaction_mode
        - auto_fix_ci
        - auto_fix_pr_comments
        - auto_rebase
        - post_pr_screenshots
        - post_pr_demo_video
        - auto_fix_ci_instructions
        - auto_fix_pr_comments_instructions
        - auto_rebase_instructions
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.